UbixOS V2 2.0

Functions
dirCache.c File Reference
`#include <assert.h>`
`#include <ubixfs/dirCache.h>`
`#include <ubixfs/ubixfs.h>`
`#include <lib/kmalloc.h>`
`#include <lib/kprintf.h>`
`#include <string.h>`
`#include <ubixos/spinlock.h>`
Include dependency graph for dirCache.c:

Go to the source code of this file.

## Functions
struct cacheNode * | ubixfs_cacheAdd (struct cacheNode *node, struct cacheNode *newNode)
void | ubixfs_cacheDelete (struct cacheNode **head)
struct cacheNode * | ubixfs_cacheFind (struct cacheNode *head, char *name)
struct cacheNode * | ubixfs_cacheNew (const char *name)

## Function Documentation

## ◆ ubixfs_cacheAdd()

struct cacheNode* ubixfs_cacheAdd | ( | struct cacheNode * | node,
|  | struct cacheNode * | newNode
| ) |  |

Definition at line 252 of file dirCache.c.

References assert, and spinLock().

Here is the call graph for this function:

## ◆ ubixfs_cacheDelete()

void ubixfs_cacheDelete | ( | struct cacheNode ** | head | ) |

Definition at line 210 of file dirCache.c.

References cacheNode::fileListHead, cacheNode::info, kfree(), cacheNode::name, cacheNode::next, NULL, and ubixfs_cacheDelete().

Referenced by ubixfs_cacheDelete().

Here is the call graph for this function:

## ◆ ubixfs_cacheFind()

struct cacheNode* ubixfs_cacheFind | ( | struct cacheNode * | head,
|  | char * | name
| ) |  |

Definition at line 55 of file dirCache.c.

## ◆ ubixfs_cacheNew()

struct cacheNode* ubixfs_cacheNew | ( | const char * | name | ) |

Definition at line 193 of file dirCache.c.

References assert, cacheNode::attributes, cacheNode::dirty, cacheNode::fileListHead, cacheNode::fileListTail, cacheNode::info, kmalloc(), cacheNode::name, name, cacheNode::next, NULL, cacheNode::parent, cacheNode::permissions, cacheNode::present, cacheNode::prev, cacheNode::size, cacheNode::startCluster, strcpy(), and strlen().

Referenced by ubixfs_initialize().

Here is the call graph for this function: